Skip to main content
POST
/
consumers
/
{consumer_id}
/
transactions
Create a bulk of transactions
curl --request POST \
  --url https://api.example.com/consumers/{consumer_id}/transactions \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "banks": [
    {
      "bank_id": "<string>",
      "accounts": [
        {
          "id": "<string>",
          "iban": "<string>",
          "name": "<string>",
          "transactions": []
        }
      ],
      "id": "<string>"
    }
  ]
}
'
import requests

url = "https://api.example.com/consumers/{consumer_id}/transactions"

payload = { "banks": [
{
"bank_id": "<string>",
"accounts": [
{
"id": "<string>",
"iban": "<string>",
"name": "<string>",
"transactions": []
}
],
"id": "<string>"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
banks: [
{
bank_id: '<string>',
accounts: [{id: '<string>', iban: '<string>', name: '<string>', transactions: []}],
id: '<string>'
}
]
})
};

fetch('https://api.example.com/consumers/{consumer_id}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"message": "Bad Request"
}
{
"message": "Missing or invalid Authorization Header."
}
{
"message": "You don’t have permission to access this resource."
}
{
"message": "Resource Not Found"
}
{
"message": "Conflict error"
}
{
"message": "Internal Server Error"
}

Authorizations

Authorization
string
header
required

Enter your "Injector" API Key

See Authentication section for more information

Path Parameters

consumer_id
string
required

Unique ID of the consumer that you have registered when the user was onboarded.

Required string length: 2 - 100

Body

application/json
banks
BucketBankSchema · object[]
required
Example:
[
{
"accounts": [
{
"iban": "FR7630006000011234567890189",
"id": "acc_9876543210",
"name": "exemple_account",
"transactions": [
{
"account_id": "acc_9876543210",
"amount": -85.5,
"authorization_id_response": "1A2B3C",
"brand": {
"address": "1 Rue de la Paix",
"category_code": "CLOTHING",
"city": "Paris",
"country": "FR",
"id": "brand_nike",
"mcc": "5941",
"name": "Nike",
"post_code": "75001",
"public_reference": "FR0123456789"
},
"category": "shopping",
"channel": "in_store",
"currency": "EUR",
"executed_at": "2023-07-15T14:32:45",
"id": "tx_12345678abcdef",
"is_realtime": true,
"label": "PURCHASE NIKE STORE",
"raw_label": "PURCHASE NIKE STORE PARIS",
"retrieval_reference_number": "1A2B3C1A2B3C",
"scheme": "visa",
"state": "completed",
"store": {
"address": "1 Rue de la Paix",
"category_code": "Clothing",
"city": "Paris",
"country": "FR",
"id": "store_123456",
"merchant_id": "merchant_nike_fr",
"name": "Nike Store",
"post_code": "75001",
"public_reference": "RCS987654321"
},
"truncated_dpan": "1234",
"truncated_pan": "1234",
"type": "card_payment"
}
]
}
],
"bank_id": "bank_id",
"id": "1",
"status": "SUCCESS"
}
]

Response

Successful Response

The response is of type EmptySchema · object.